import { createRouter, createWebHistory, RouteRecordRaw } from 'vue-router'
import Gantt from '../views/Gantt.vue'

const routes: Array<RouteRecordRaw> = [
  {
    path: '/',
    name: 'gantt',
    component: Gantt
  },
  {
    path: '/about',
    name: 'about',
    // route level code-splitting
    // this generates a separate chunk (about.[hash].js) for this route
    // which is lazy-loaded when the route is visited.
    component: () => import(/* webpackChunkName: "about" */ '../views/AboutView.vue')
  }
]

const router = createRouter({
  history: createWebHistory(process.env.BASE_URL),
  routes
})

router.beforeEach((to, from, next)=>{
   sessionStorage.setItem('taskResultId', to.query.id as string)
   sessionStorage.setItem('token', to.query.token as string)
   next()
})

export default router
